kaleidescope(6)

NAME
Kaleidescope - rotating line segments

SYNOPSIS
kaleidescope [-display host:display.screen] [-foreground color] [-background color] [-window] [-root] [-install] [-visual visual] [-color_mode mono | nice | greedy] [-nsegments int] [-ntrails int] [-local_rotation int] [-global_rotation int] [-delay usecs] [-redmin int] [-greenmin int] [-bluemin int] [-redrange int] [-greenrange int] [-bluerange int]

DESCRIPTION
The kaleidescope program draws line segments in a symmetric pattern that evolves over time.

OPTIONS
kaleidescope accepts the following options:

-root
    Draw on the root window.

-color_mode mono | nice | greedy
    Specify how kaleidescope uses colors. Mono uses just the default foreground and background colors. Nice uses one color for each segment (specified by nsegments). Greedy uses (ntrails * nsegments) + 1 colors.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-nsegments integer
    The number of segments to draw. Default is 7.

-ntrails integer
    The number of trails to draw. Default is 100.

-local_rotation integer
    The rate at which segments rotate around their center. Default is -59.

-global_rotation integer
    The rate at which segments rotate around the center of the window. Default is 1.

-redmin, -greenmin, -bluemin, -redrange, -greenrange, -bluerange
    All take an integer argument. When colors are randomly chosen, they are chosen from the interval min to min plus range. The minimums default to 30000. The ranges default to 20000.

-delay microseconds
    How much of a delay should be introduced between steps of the animation. Default is 20000, or about 5 frames a second.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), kaleidescope(6)

COPYRIGHT
Copyright © 1997 by Ron Tapia. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Ron Tapia <tapia@nmia.com>, 20-Mar-97.